A new user interface for you! Read more...

File gconfmm.changes of Package gconfmm

-------------------------------------------------------------------
Wed Feb 28 16:25:49 UTC 2018 - dimstar@opensuse.org

- Modernize spec-file by calling spec-cleaner

-------------------------------------------------------------------
Tue Apr 19 13:08:06 UTC 2016 - zaitor@opensuse.org

- Stop exporting CFLAGS and CXXFLAGS, no longer needed due to
  changes in libsigc++.

-------------------------------------------------------------------
Thu Aug 20 20:36:51 UTC 2015 - zaitor@opensuse.org

- Export CFLAGS="%{optflags} -std=c++11" and CXXFLAGS="%{optflags}
  -std=c++11". Fix build with updated MM stack.

-------------------------------------------------------------------
Sat Sep 21 14:43:15 UTC 2013 - dimstar@opensuse.org

- Change RPM Group of shared library package to System/Libraries.

-------------------------------------------------------------------
Mon Feb 13 10:46:45 UTC 2012 - coolo@suse.com

- patch license to follow spdx.org standard

-------------------------------------------------------------------
Tue Nov 15 10:30:17 UTC 2011 - vuntz@opensuse.org

- Update to version 2.28.3:
  + Fix documentation build with glibmm 2.28 and later
    (bgo#648860).
- Change <= in Obsoletes to < now that we have a new upstream
  version.
- Stop passing --disable-documentation to configure: the
  documentation build system now works again.

-------------------------------------------------------------------
Thu Apr 28 12:16:53 CEST 2011 - vuntz@opensuse.org

- Create a libgconfmm-2_6-1 subpackage that has gconfmm
  Provides/Obsoletes, as per shared library packaging policy.
- Pass --disable-documentation to configure: this tarball was
  generated with an old documentation setup that won't build
  nowadays. See bgo#648860.
- Improve summaries.
- Drop explicit Requires of gconf2-devel, glibmm2-devel,
  gtkmm2-devel in devel subpackage: they will automatically be
  added the pkgconfig way.
- Move to pkgconfig()-style BuildRequires:
  + Old ones: gconf2-devel, gtkmm2-devel.
  + New ones: gconf-2.0, glibmm-2.4 (gtkmm is not needed).

-------------------------------------------------------------------
Mon Jun 21 12:49:01 CEST 2010 - dimstar@opensuse.org

- Update to version 2.28.2:
  + Fix the broken pkg-config file, broken in 2.28.1
- Changes from version 2.28.1:
  + Build: use mm-common, like the other *mm modules
  + Documentation: Add a main page.

-------------------------------------------------------------------
Mon Sep 28 17:29:26 CEST 2009 - vuntz@opensuse.org

- Update to version 2.28.0:
  + Fixed the build with the latest gmmproc.
- Changes from version 2.26.0:
  + Cleaned up glib includes to use only toplevel headers.
    bgo#564214

-------------------------------------------------------------------
Sat Aug 29 11:04:29 CEST 2009 - vuntz@novell.com

- Remove AutoReqProv: it's default now.
- Remove update-desktop-files BuildRequires.
- Pass --disable-static to configure.
- Use makeinstall macro.

-------------------------------------------------------------------
Wed Oct  1 08:27:44 WST 2008 - mboman@suse.de

- Update to version 2.24.0:
  + Updated version to match gnome 2.24.
  + Added recursive_unset(). Fixes bgo#549158.
  + Added notify()

-------------------------------------------------------------------
Mon Mar 31 20:25:19 CEST 2008 - vuntz@suse.de

- Update to version 2.22.0:
  + Fixed Windows build.

-------------------------------------------------------------------
Tue Jan 29 14:19:23 CST 2008 - maw@suse.de

- Remove libtool archives.

-------------------------------------------------------------------
Mon Sep 17 17:33:23 CEST 2007 - maw@suse.de

- Update to version 2.20.0:
  + Cosmetic version bump.
- s#%run_ldconfig#/sbin/ldconfig# in %post and %postun.

-------------------------------------------------------------------
Tue Sep 11 02:09:01 CEST 2007 - mauro@suse.de

- Update to version 2.18.1
  + SetInterface.h: Use #pragma GCC system_header
  to supress warnings about the lack of a virtual destructor.
  (Martin Ejdestig, Bug #460969)
  + Build: Check for both m4 and M4 in the GNU m4 output,
  to fix the build on some platforms.
  (Yselkowitz , Bug #423990)

-------------------------------------------------------------------
Fri Aug 31 19:32:35 CEST 2007 - maw@suse.de

- Update to version 2.18.0:
  + Cosmetic version bump.

-------------------------------------------------------------------
Tue Jan 16 17:11:19 CET 2007 - sbrabec@suse.cz

- Prefix changed to /usr.
- Spec file cleanup.

-------------------------------------------------------------------
Wed Nov 29 14:50:23 CET 2006 - sbrabec@suse.cz

- Require new package names gtkmm2-devel and glibmm2-devel.

-------------------------------------------------------------------
Fri Sep 15 23:58:12 CEST 2006 - jhargadon@suse.de

- update to version 2.16.0
- Fixed build when using --enable-api-exceptions=no with glibmm
- Fix the regular build

-------------------------------------------------------------------
Sun Feb 19 18:00:56 CET 2006 - aj@suse.de

- Reduce BuildRequires.

-------------------------------------------------------------------
Wed Jan 25 21:31:32 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Wed Sep  7 11:01:09 CEST 2005 - sbrabec@suse.cz

- Updated to version 2.12.0 (GNOME 2.12).

-------------------------------------------------------------------
Thu Aug  4 18:42:55 CEST 2005 - sbrabec@suse.cz

- Fixed devel dependencies.

-------------------------------------------------------------------
Thu Aug  4 17:37:30 CEST 2005 - sbrabec@suse.cz

- Updated to version 2.10.0 (2.6 compatible branch).

-------------------------------------------------------------------
Wed Jun  1 18:02:42 CEST 2005 - sbrabec@suse.cz

- Fixed devel requirements.

-------------------------------------------------------------------
Thu Apr 14 16:16:32 CEST 2005 - sbrabec@suse.cz

- Fixed cast from pointer to integer.

-------------------------------------------------------------------
Mon Feb 21 18:47:26 CET 2005 - sbrabec@suse.cz

- Updated to version 2.0.2.

-------------------------------------------------------------------
Fri Feb 11 01:50:52 CET 2005 - ro@suse.de

- change to libsigc++12 in neededforbuild 

-------------------------------------------------------------------
Tue Feb 17 17:40:03 CET 2004 - sbrabec@suse.cz

- Set CXXFLAGS properly.

-------------------------------------------------------------------
Tue Feb 17 16:51:40 CET 2004 - sbrabec@suse.cz

- Initial SuSE package version 2.0.1.